Winevt.EVT_RPC_LOGIN (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Winevt, class: EVT_RPC_LOGIN

Package com.sun.jna.platform.win32

# Class Winevt.EVT_RPC_LOGIN

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Winevt.EVT_RPC_LOGIN

Direct Known Subclasses:
  `Winevt.EVT_RPC_LOGIN.ByReference`, `Winevt.EVT_RPC_LOGIN.ByValue`

Enclosing interface:
  Winevt

@FieldOrder({"Server","User","Domain","Password","Flags"}) public static class Winevt.EVT_RPC_LOGIN extends Structure
Contains the information used to connect to a remote computer. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385566(v=vs.85).aspx

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Winevt.EVT_RPC_LOGIN.ByReference`
  `static class`
  `Winevt.EVT_RPC_LOGIN.ByValue`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `Domain`
  The domain to which the user account belongs.
  `int`
  `Flags`
  The authentication method to use to authenticate the user when connecting to the remote computer.
  `String`
  `Password`
  The password for the user account.
  `String`
  `Server`
  The name of the remote computer to connect to.
  `String`
  `User`
  The user name to use to connect to the remote computer.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EVT_RPC_LOGIN()`
  `EVT_RPC_LOGIN(Pointer peer)`
  `EVT_RPC_LOGIN(String Server, String User, String Domain, String Password, int Flags)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Server

    public String Server
    The name of the remote computer to connect to.

  - ### User

    public String User
    The user name to use to connect to the remote computer.

  - ### Domain

    public String Domain
    The domain to which the user account belongs. Optional.

  - ### Password

    public String Password
    The password for the user account.

  - ### Flags

    public int Flags
    The authentication method to use to authenticate the user when connecting to the remote computer. For possible authentication methods, see the `Winevt.EVT_RPC_LOGIN_FLAGS` enumeration.

- ## Constructor Details

  - ### EVT_RPC_LOGIN

    public EVT_RPC_LOGIN()

  - ### EVT_RPC_LOGIN

    public EVT_RPC_LOGIN(String Server, String User, String Domain, String Password, int Flags)

  - ### EVT_RPC_LOGIN

    public EVT_RPC_LOGIN(Pointer peer)